/*
 * Copyright (C) 2020 Emweb bv, Herent, Belgium.
 *
 * See the LICENSE file for terms of use.
 */
package eu.webtoolkit.jwt.auth;

import eu.webtoolkit.jwt.*;
import eu.webtoolkit.jwt.chart.*;
import eu.webtoolkit.jwt.servlet.*;
import eu.webtoolkit.jwt.utils.*;
import java.io.*;
import java.lang.ref.*;
import java.time.*;
import java.util.*;
import java.util.regex.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Method for confirming to be an existing user. */
public enum IdentityConfirmationMethod {
  /** Confirm using a password prompt. */
  ConfirmWithPassword,
  /** Confirm by using an email procedure. */
  ConfirmWithEmail,
  /** Confirmation is not possible. */
  ConfirmationNotPossible;

  /** Returns the numerical representation of this enum. */
  public int getValue() {
    return ordinal();
  }
}
